Wordpress 3.5
[autoinstalls/wordpress.git] / wp-admin / includes / update.php
index e02d4de2e72691def537224deb35ebd6d8a2fa66..5cca9dca6bac01ca4a01715a0b4364da1272e9f3 100644 (file)
@@ -83,9 +83,12 @@ function find_core_update( $version, $locale ) {
 
 function core_update_footer( $msg = '' ) {
        if ( !current_user_can('update_core') )
-               return sprintf( __( 'Version %s' ), $GLOBALS['wp_version'] );
+               return sprintf( __( 'Version %s' ), get_bloginfo( 'version', 'display' ) );
 
        $cur = get_preferred_from_update_core();
+       if ( ! is_object( $cur ) )
+               $cur = new stdClass;
+
        if ( ! isset( $cur->current ) )
                $cur->current = '';
 
@@ -97,7 +100,7 @@ function core_update_footer( $msg = '' ) {
 
        switch ( $cur->response ) {
        case 'development' :
-               return sprintf( __( 'You are using a development version (%1$s). Cool! Please <a href="%2$s">stay updated</a>.' ), $GLOBALS['wp_version'], network_admin_url( 'update-core.php' ) );
+               return sprintf( __( 'You are using a development version (%1$s). Cool! Please <a href="%2$s">stay updated</a>.' ), get_bloginfo( 'version', 'display' ), network_admin_url( 'update-core.php' ) );
        break;
 
        case 'upgrade' :
@@ -106,7 +109,7 @@ function core_update_footer( $msg = '' ) {
 
        case 'latest' :
        default :
-               return sprintf( __( 'Version %s' ), $GLOBALS['wp_version'] );
+               return sprintf( __( 'Version %s' ), get_bloginfo( 'version', 'display' ) );
        break;
        }
 }
@@ -134,10 +137,11 @@ function update_nag() {
        echo "<div class='update-nag'>$msg</div>";
 }
 add_action( 'admin_notices', 'update_nag', 3 );
+add_action( 'network_admin_notices', 'update_nag', 3 );
 
 // Called directly from dashboard
 function update_right_now_message() {
-       $msg = sprintf( __('You are using <span class="b">WordPress %s</span>.'), $GLOBALS['wp_version'] );
+       $msg = sprintf( __( 'You are using <span class="b">WordPress %s</span>.' ), get_bloginfo( 'version', 'display' ) );
 
        if ( current_user_can('update_core') ) {
                $cur = get_preferred_from_update_core();